aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTrevor Woerner <twoerner@gmail.com>2020-02-14 00:32:31 -0500
committerTrevor Woerner <twoerner@gmail.com>2020-02-14 00:32:31 -0500
commit9e85e285873452e5354cc54d2a3a8ea26c99c460 (patch)
treea249c2375506a3bf2e3dd6ae1b5a85ebcc90bee4
parent70587b99132fb768dfba250d956108d892e1330b (diff)
downloadmeta-rockchip-9e85e285873452e5354cc54d2a3a8ea26c99c460.tar.gz
meta-rockchip-9e85e285873452e5354cc54d2a3a8ea26c99c460.tar.bz2
meta-rockchip-9e85e285873452e5354cc54d2a3a8ea26c99c460.zip
remove image
This is a BSP layer, not a software demonstration layer. Signed-off-by: Trevor Woerner <twoerner@gmail.com>
-rw-r--r--recipes-core/images/rockchip-basic-image.bb12
-rw-r--r--recipes-devtools/net-kexec/files/net-kexec.sh27
-rw-r--r--recipes-devtools/net-kexec/net-kexec_1.0.bb20
3 files changed, 0 insertions, 59 deletions
diff --git a/recipes-core/images/rockchip-basic-image.bb b/recipes-core/images/rockchip-basic-image.bb
deleted file mode 100644
index 25fb30e..0000000
--- a/recipes-core/images/rockchip-basic-image.bb
+++ /dev/null
@@ -1,12 +0,0 @@
-# Copyright (C) 2014 Romain Perier <romain.perier@gmail.com>
-# Released under the MIT license (see COPYING.MIT for the terms)
-
-include recipes-core/images/core-image-minimal.bb
-
-DESCRIPTION = "Basic image for Rockchip devices. This is a small image just \
-capable of allowing a device to boot with packages management, \
-ssh server and development tools."
-IMAGE_FEATURES_append = " package-management ssh-server-dropbear"
-IMAGE_INSTALL_append = " net-kexec "
-
-LICENSE = "MIT"
diff --git a/recipes-devtools/net-kexec/files/net-kexec.sh b/recipes-devtools/net-kexec/files/net-kexec.sh
deleted file mode 100644
index 44983d5..0000000
--- a/recipes-devtools/net-kexec/files/net-kexec.sh
+++ /dev/null
@@ -1,27 +0,0 @@
-#!/bin/sh
-# Copyright (C) 2014 Romain Perier <romain.perier@gmail.com>
-# Released under the MIT license (see COPYING.MIT for the terms)
-
-GATEWAY=$(route | grep default | sed 's/ [ ]*/:/g' | cut -d ':' -f 2)
-
-fail() {
- echo $1
- exit 1
-}
-
-# If we are not already connected, connect eth0 with DHCP
-ifconfig eth0 | grep 'inet addr:[0-9]*\.[0-9]*\.[0-9]*\.[0-9]* ' >/dev/null
-if [ $? -ne 0 ]; then
- echo "* Starting DHCP on eth0"
- udhcpc -n -i eth0 || fail "Unable to establish a DHCP session with eth0"
-fi
-
-tftp -g -r zImage $GATEWAY >/dev/null || fail "Unable to get zImage throught TFTP"
-echo "* Found zImage on $TFTP_SERVER"
-echo -n "Do you want to reboot to the new kernel on the fly ? [y/n] "
-read boot
-
-if [ "$boot" = "y" ]; then
- kexec -l zImage
- kexec -e
-fi
diff --git a/recipes-devtools/net-kexec/net-kexec_1.0.bb b/recipes-devtools/net-kexec/net-kexec_1.0.bb
deleted file mode 100644
index 4de0f0a..0000000
--- a/recipes-devtools/net-kexec/net-kexec_1.0.bb
+++ /dev/null
@@ -1,20 +0,0 @@
-# Copyright (C) 2014 Romain Perier <romain.perier@gmail.com>
-# Released under the MIT license (see COPYING.MIT for the terms)
-
-SUMMARY = "Extremely basic script to kexec over the network"
-LICENSE = "MIT"
-LIC_FILES_CHKSUM = "file://${COREBASE}/meta/COPYING.MIT;md5=3da9cfbcb788c80a0384361b4de20420"
-SRC_URI = "file://net-kexec.sh"
-
-PR = "r1"
-
-RDEPENDS_${PN} += "kexec"
-
-do_install() {
- install -d ${D}/sbin
- install -m 0755 ${WORKDIR}/net-kexec.sh ${D}/sbin/net-kexec
-}
-
-inherit allarch
-
-FILES_${PN} += "/sbin/net-kexec"